This is an automated email from the ASF dual-hosted git repository.

laszlog pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/impala.git


The following commit(s) were added to refs/heads/master by this push:
     new d630d6f8a IMPALA-13802: Ignore error during postgres init
d630d6f8a is described below

commit d630d6f8af8cd86a845fc0415c99b8aa6608c28f
Author: Csaba Ringhofer <[email protected]>
AuthorDate: Fri Jun 6 15:00:39 2025 +0200

    IMPALA-13802: Ignore error during postgres init
    
    This is a normal error in case postgres init was already called
    on the machine.
    
    Change-Id: I67ce40e4c12a7318ad7deb7e796b3e5bd5b4bfd4
    Reviewed-on: http://gerrit.cloudera.org:8080/22989
    Reviewed-by: Daniel Becker <[email protected]>
    Reviewed-by: Riza Suminto <[email protected]>
    Tested-by: Csaba Ringhofer <[email protected]>
---
 bin/bootstrap_system.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/bin/bootstrap_system.sh b/bin/bootstrap_system.sh
index 492795ff5..cf3cea83a 100755
--- a/bin/bootstrap_system.sh
+++ b/bin/bootstrap_system.sh
@@ -408,7 +408,8 @@ echo ">>> Configuring system"
 function setup_postgresql() {
   echo ">>> Configuring postgresql. This can fail if postgres is already 
initialized"
 
-  redhat notindocker sudo service postgresql initdb
+  # initdb can fail if it was run before on this host - ignore this error
+  redhat notindocker sudo service postgresql initdb || true
   redhat notindocker sudo service postgresql stop
   redhat indocker sudo -u postgres PGDATA=/var/lib/pgsql/data pg_ctl init
   ubuntu sudo service postgresql stop
@@ -552,4 +553,4 @@ else
 fi
 
 setup_postgresql
-# Be careful about adding code after postgres initialization, as it may fail 
and exit!
+# Be careful about adding code after postgres initialization, it may fail 
(IMPALA-13802).

Reply via email to